%zacatek z cistym stitem
set(findobj(0,'style','text'),'string','')

clc
clear persistent
clear all

global topLevelFolder
topLevelFolder = pwd;

if isdeployed 
disp('the function is running in deployed mode')%executable mode

% http://www.mathworks.com/matlabcentral/newsreader/view_thread/76323
% [pathstr, name, ext] = fileparts(which('VTSCCv0_9_8.txt')); %therefore, d will be the path that the mfile is in.
% topLevelFolder = pathstr% ctfroot % pwd

else
%nastaveni cest k funkcim programu
disp('the function is running a MATLAB session')%testing mode
allSubFolders = genpath(topLevelFolder);
addpath(allSubFolders);%sub-folder path search
end

%SETUP SETTINGS
fid=fopen('Setup.csv');
setup  = textscan(fid,'%s %s %s','delimiter',';','headerlines',0)
setupSV  = setup{1}
fclose(fid);
assignin('base','setup',setup);%###CODEDEV   
save('Setup.mat','setupSV');

Names_script

GUI
